diff --git a/books/bookvol10.3.pamphlet b/books/bookvol10.3.pamphlet
index add4fd3..08dd0a3 100644
--- a/books/bookvol10.3.pamphlet
+++ b/books/bookvol10.3.pamphlet
@@ -85660,7 +85660,6 @@ o )show NumericalOptimizationProblem
 \end{tabular}
 
 \begin{chunk}{domain OPTPROB NumericalOptimizationProblem}
-)abbrev domain OPTPROB NumericalOptimizationProblem
 ++ Author: Brian Dupee
 ++ Date Created: December 1997
 ++ Date Last Updated: December 1997
@@ -85679,7 +85678,7 @@ o )show NumericalOptimizationProblem
 ++ cf:\axiomType{List Expression DoubleFloat},\br
 ++ ub:\axiomType{List OrderedCompletion DoubleFloat})
 ++
-++ and one for least-squares problems i.e. optimization of a set of
+++ and one for least-squares problems that is optimization of a set of
 ++ observations of a data set:
 ++
 ++ \axiomType{Record}(lfn:\axiomType{List Expression DoubleFloat},\br
diff --git a/buglist b/buglist
index 3e82ad4..0544b87 100644
--- a/buglist
+++ b/buglist
@@ -965,15 +965,6 @@ typos 40348:
 
 
 =========================================================================
-typos 40347:
-
->compiling OPTPROB.spad to OPTPROB.nrlib
- 
---->bookvol10.3.pamphlet-->NumericalOptimizationProblem(constructor): Missing left brace
-"\\axiomType{NumericalOptimizationProblem} is a \\axiom{domain} for the representation of Numerical Optimization problems for use by ANNA. \\blankline The representation is a Union of two record types - one for otimization of a single function of one or more variables: \\blankline \\axiomType{Record}(\\br fn:\\axiomType{Expression DoubleFloat},\\br init:\\axiomType{List DoubleFloat},\\br lb:\\axiomType{List OrderedCompletion DoubleFloat},\\br cf:\\axiomType{List Expression DoubleFloat},\\br ub:\\axiomType{List OrderedCompletion DoubleFloat}) \\blankline and one for least-squares problems \\spadignore{i.e.} optimization of a set of observations of a data set: \\blankline \\axiomType{Record}(lfn:\\axiomType{List Expression DoubleFloat},\\br init:\\axiomType{List DoubleFloat})."
-
-
-=========================================================================
 typos 40346:
 
 >compiling ORDSET.spad to ORDSET.nrlib
@@ -40523,4 +40514,13 @@ typos 40350:
 --->bookvol10.2.pamphlet-->Monad(constructor): Missing left brace
 "Monad is the class of all multiplicative monads, \\spadignore{i.e.} sets with a binary operation."
 
+fixed 20130317.04.tpd.patch
+=========================================================================
+typos 40347:
+
+>compiling OPTPROB.spad to OPTPROB.nrlib
+ 
+--->bookvol10.3.pamphlet-->NumericalOptimizationProblem(constructor): Missing left brace
+"\\axiomType{NumericalOptimizationProblem} is a \\axiom{domain} for the representation of Numerical Optimization problems for use by ANNA. \\blankline The representation is a Union of two record types - one for otimization of a single function of one or more variables: \\blankline \\axiomType{Record}(\\br fn:\\axiomType{Expression DoubleFloat},\\br init:\\axiomType{List DoubleFloat},\\br lb:\\axiomType{List OrderedCompletion DoubleFloat},\\br cf:\\axiomType{List Expression DoubleFloat},\\br ub:\\axiomType{List OrderedCompletion DoubleFloat}) \\blankline and one for least-squares problems \\spadignore{i.e.} optimization of a set of observations of a data set: \\blankline \\axiomType{Record}(lfn:\\axiomType{List Expression DoubleFloat},\\br init:\\axiomType{List DoubleFloat})."
+
 
diff --git a/changelog b/changelog
index 7486ba2..158113c 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,6 @@
+20130317 tpd src/axiom-website/patches.html 20130317.04.tpd.patch
+20130317 tpd buglist OPTPROB fix 40347
+20130317 tpd books/bookvol10.3 OPTPROB fix 40347
 20130317 tpd src/axiom-website/patches.html 20130317.03.tpd.patch
 20130317 tpd buglist MONAD fix 40350, add 7236
 20130317 tpd books/bookvol10.2 MONAD fix 40350, add 7236
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 9d75b48..3cbf9ff 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -4091,5 +4091,7 @@ books/bookvol10.2 AGG fixed 40355
 books/bookvol10.4 MAPPKG1 fix 40351
 <a href="patches/20130317.03.tpd.patch">20130317.03.tpd.patch</a>
 books/bookvol10.4 MONAD fix 40350, add 7236
+<a href="patches/20130317.04.tpd.patch">20130317.04.tpd.patch</a>
+books/bookvol10.3 OPTPROB fix 40347
  </body>
 </html>
